%global module pyramid_chameleon

%if 0%{?fedora}
%global with_python3 1
%else
# EL doesn't have Python 3
%global with_python3 0
%endif

%if 0%{?rhel} || 0%{?rhel} < 7
# EL 6 doesn't have this macro
%global __python2       %{__python}
%global python2_sitelib %{python_sitelib}
%endif

Name:             python-pyramid-chameleon
Summary:          Bindings for the Chameleon templating system in the Pyramid web framework
Version:          0.1
Release:          5%{?dist}

# https://fedoraproject.org/wiki/Licensing:BSD?rd=Licensing/BSD#Modification_Variant
License:          BSD
URL:              https://pypi.python.org/pypi/%{module}
Source0:          https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python2-devel
BuildRequires:    python-setuptools

Requires:         python-chameleon
Requires:         python-pyramid
Requires:         python-setuptools
Requires:         python-translationstring
Requires:         python-venusian

%if 0%{?fedora} || 0%{?rhel} >= 7
Requires:         python-zope-interface
%else
# RHEL 6 had an older version
Requires:         python-zope-interface4
%endif

%description
Bindings for the Chameleon templating system for the Pyramid web framework.


%if %{with_python3}
%package -n python3-pyramid-chameleon
Summary:          Bindings for the Chameleon templating system in the Pyramid web framework

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools

Requires:         python3-chameleon
Requires:         python3-pyramid
Requires:         python3-setuptools
Requires:         python3-translationstring
Requires:         python3-venusian
Requires:         python3-zope-interface

%description -n python3-pyramid-chameleon
Bindings for the Chameleon templating system for the Pyramid web framework.
%endif


%prep
%setup -q -n %{module}-%{version}

%if %{with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build

%if %{with_python3}
pushd %{py3dir}
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd
%endif


%install
%if %{with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif

%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc CONTRIBUTORS.txt COPYRIGHT.txt README.rst
%{python2_sitelib}/%{module}*

%if %{with_python3}
%files -n python3-pyramid-chameleon
%doc CONTRIBUTORS.txt COPYRIGHT.txt README.rst
%{python3_sitelib}/%{module}*
%endif


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jun 01 2014 Mathieu Bridon <bochecha@fedoraproject.org> - 0.1-1
- Initial package for Fedora.
